<?php

namespace SM\Controller;

use SM\Controller\SMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use SM\Service\TipoLocalAtendimento2Service;
use SM\Traits\TResponse;

class TipoLocalAtendimento2Controller extends SMCrud
{
    use TResponse;
    
    protected $TipoLocalAtendimento2Service;
    
    public function __construct($crudService, $environment, TipoLocalAtendimento2Service $TipoLocalAtendimento2Service)
    {
        parent::__construct($crudService, $environment);
        $this->TipoLocalAtendimento2Service = $TipoLocalAtendimento2Service;
    }
    
    public function getTipoLocalAtendimento2()
    {
        
        try {
            $data = $this->TipoLocalAtendimento2Service->getTipoLocalAtendimento2();
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
    
    public function salvarTipoLocalAtendimento2(DTO\Request $request)
    {
        try {
            $this->TipoLocalAtendimento2Service->salvarTipoLocalAtendimento2($request->getParameters());
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
    
    public function deletarTipoLocalAtendimento2(DTO\Request $request)
    {
        try {
            $this->TipoLocalAtendimento2Service->deletarTipoLocalAtendimento2($request->getParameters());
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }
}
