<?php

namespace SM\Service;

use SM\Factory\AgendamentoRecursosFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;

class AgendamentoRecursosService
{
    protected $entityManager;
    protected $agendamentoRecursosFactory;
    protected $environment;
    protected $newCode;
    protected $connection;

    public function __construct(EntityManager $entityManager, AgendamentoRecursosFactory $agendamentoRecursosFactory, Environment $environment, NewCode $newCode)
    {
        $this->agendamentoRecursosFactory   = $agendamentoRecursosFactory;
        $this->connection                   = $entityManager->getConnection();
        $this->environment                  = $environment;
        $this->newCode                      = $newCode;
    }

    public function getAgendamentoRecursoCont()
    {
        return $this->agendamentoRecursosFactory->getAgendamentoRecursoCont();
    } 

    public function getRelacEstruturaCont($param)
    {
        $dataParam = array(
            "NRSEQCONTRATO" => null
        );
        return $this->agendamentoRecursosFactory->getRelacEstruturaCont($dataParam);
    } 

    public function getContratosAgendRecurso()
    {
        return $this->agendamentoRecursosFactory->getContratosAgendRecurso();
    }

    public function getRecursosAgendCont($param)
    {
        $dataParam = array(
            "NRAGENDRECURSOCONT" => $param["NRAGENDRECURSOCONT"]
        );
        return $this->agendamentoRecursosFactory->getRecursosAgendCont($dataParam);
    }
    
    public function getItemContAgendRecurso($param)
    {
        $nrorg = $this->environment->getNrorg();
        
        $dataParam = array(
            "NRSEQCONTRATO" => isset($param["NRSEQCONTRATO"])? $param["NRSEQCONTRATO"]: null,
            "NRORG"         => $nrorg
        );
        return $this->agendamentoRecursosFactory->getItemContAgendRecurso($dataParam);
    } 

    public function getRecursoAgendCont($param)
    {
        $nrorg = $this->environment->getNrorg();
        
        $dataParams = array(
            
        );
        return $this->agendamentoRecursosFactory->getRecursoAgendCont($dataParams);
    }
}