<?php

namespace Teknisa\Model\Teknisa\Repositories;

use Doctrine\ORM\EntityManager;

class OmParamOrgDefault extends \Doctrine\ORM\EntityRepository {

    public function getDefaultParameters($conditions) {
        $query = <<<SQL
        SELECT OPD.ID, OPD.DSSTRINGCONEXAO, OPD.DSUSUARIOBANCO, DSSENHABANCO,
               OPD.IDCOLETOR, OPD.IDUTWALLET, OPD.IDAMBORG, OPD.IDATIVO,
               OPI.NMOPERADOR AS NMOPERINCLUSAO, OPU.NMOPERADOR AS NMOPERULTATU,
               TO_CHAR(OPD.DTINCLUSAO, 'DD/MM/YYYY HH24:MI:SS') AS DTINCLUSAO,
               TO_CHAR(OPD.DTULTATU, 'DD/MM/YYYY HH24:MI:SS') AS DTULTATU,
               OPD.IDTPBANCO, CASE WHEN OPD.IDTPBANCO = 'ORACLE'
                                   THEN 'Oracle'
                                   WHEN OPD.IDTPBANCO = 'SQL_SERVER_2000'
                                   THEN 'SQL Server 2000' 
                                   WHEN OPD.IDTPBANCO = 'SQL_SERVER_2005'
                                   THEN 'SQL Server 2005' 
                                   WHEN OPD.IDTPBANCO = 'SQL_SERVER_2009'
                                   THEN 'SQL Server 2009'
                                   ELSE 'MySQL'
                               END AS NMTPBANCO
          FROM OM_PARAM_ORG_DEFAULT OPD
          JOIN OPERADOR OPI ON OPI.CDOPERADOR = OPD.CDOPERINCLUSAO
          JOIN OPERADOR OPU ON OPU.CDOPERADOR = OPD.CDOPERULTATU
         WHERE 1 = 1
               $conditions
SQL;

        return $this->getEntityManager()->getConnection()->fetchAll($query);
    }

}